#ifndef TOWERMODEL_H
#define TOWERMODEL_H

#include <QAbstractListModel>
#include "../loader.h"

class TowerModel : public QAbstractListModel
{
    Q_OBJECT
public:
    explicit TowerModel(QList <tbTower> towers, QObject *parent = 0);
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant data(const QModelIndex &index, int role) const;
    void refresh(QList <tbTower> towers);
signals:

public slots:
private:
        QList <tbTower> towers;
};

#endif // TOWERMODEL_H
